Page MenuHomePhabricator

Community Liaison support for improving the performance of the 2017 wikitext editor
Closed, ResolvedPublic

Description

What is the problem?

This is a project to understand and improve the performance of the 2017 wikitext editor, in response to complaints from some users that the performance is bad for them.

How does success of this task look like? How do we know when we are done?

A few reports will be published, and the team should've improved the performance significantly.

Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.

The Q3 goal for Editing in Contributors is directly related to this project. VisualEditor VisualEditor-MediaWiki-2017WikitextEditor VisualEditor-Performance

What is your expected timeline from start to end? Is there a hard deadline?

The project should be primarily contained within late Q2 and all of Q3 FY 2017-18, that is Dec 2017 - Mar 2018. There may be some spill-over into Q4.

Event Timeline

Deskana created this task.Mar 27 2018, 10:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2018, 10:20 AM
Elitre triaged this task as Low priority.May 3 2018, 3:36 PM
Elitre raised the priority of this task from Low to Normal.
Whatamidoing-WMF changed the task status from Open to Stalled.Sep 25 2018, 5:36 PM
Elitre added a subscriber: Elitre.

Moved for my convenience, but please evaluate whether it still needs to be open.

Whatamidoing-WMF closed this task as Resolved.Nov 19 2018, 6:52 PM

The team isn't going to work on this (directly) for the foreseeable future, so I'm going to resolve this.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 19 2018, 6:52 PM